Advanced query all lookup code translations
post
/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/{cases_id}/contributingFactors/{cases-contributingFactors_id}/$translations/$query
Request
Path Parameters
-
cases-contributingFactors_id(required): string
This path parameter maps to a composite key that consists of the following fields defined in the Cases/Contributing Factors REST resource:
- lookupType: The unique identifier of the Lookup Type.
- lookupCode: The unique identifier of the Lookup Code.
-
cases_id(required): string
This path parameter maps to the following field defined in the Cases REST resource:
- caseNumber: The unique number that's used to identify a case. You can edit the case number to a format that's best suitable to your requirements.
Query Parameters
-
$effectiveDate: string(date)
Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
- application/json
Nested Schema : schema
Type:
Show Source
object-
accessors: object
accessors
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
-
fields: array
fields
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
-
subTypes: object
subTypes
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type:
Show Source
object-
collection: object
collection
Defines query criteria that can be applied on a resource collection.
Nested Schema : accessors
Type:
objectMaps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type:
arrayRestricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type:
objectMaps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type:
objectDefines query criteria that can be applied on a resource collection.
Show Source
-
filter: string
The resource collection will be queried using the specified filter condition.
-
includeTotalItems: boolean
Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
-
limit: integer
Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
-
offset: integer
Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
-
privilege: string
Represents the privilege or action required to check for while serving a request to access a resource.
-
sortBy: array
sortBy
Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type:
arrayOrders a resource collection based on the specified fields.
Show Source
Nested Schema : type
Type:
objectObject with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Response
Default Response
An array of items response
Root Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_collection-response
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_collection-response-allOf[1]
Type:
Show Source
objectNested Schema : totalItems
Type:
Show Source
object-
qualifier: string
Allowed Values:
[ "eq", "gt", "est", "err" ] -
value: integer
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item
Match All
Contains the translated choice data in the supported languages.
Show Source
-
object
oraCommonAppsInfraObjects.LookupCodeTranslation_item-fields
-
object
Lookup Code Translation
Title:
Lookup Code TranslationContains the translated choice data in the supported languages.
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item-fields
Type:
Show Source
object-
$language: string
Title:
LanguageIndicates the code of the language identifier of the record. -
$sourceLang: string
Title:
Source LanguageRead Only:trueThe language in which the values of the translatable columns were created, updated, or copied from. -
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
description: string
Title:
Lookup Code DescriptionRead Only:trueThe translated description of the Lookup Code. -
lookupCode: string
Title:
Lookup Code IDRead Only:trueThe unique identifier of the Lookup Code. -
lookupCodeTranslationBase:
lookupCodeTranslationBase
-
lookupType: string
Title:
Lookup Type IDRead Only:trueThe unique identifier of the Lookup Type. -
meaning: string
Title:
Lookup Code MeaningRead Only:trueThe translated meaning of the Lookup Code. -
timeCreated: string
(date-time)
Title:
Created OnRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : Lookup Code Translation
Type:
objectTitle:
Lookup Code TranslationContains the translated choice data in the supported languages.
Nested Schema : lookupCodeTranslationBase
Match All
The lookup codes list of values resource is used to query the list of lookup codes.
Show Source
-
allOf
oraCommonAppsInfraObjects.LookupCode_item-fields
-
object
__busObj_context
-
object
Lookup Code
Title:
Lookup CodeThe lookup codes list of values resource is used to query the list of lookup codes.
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type:
Show Source
object-
$sourceLang: string
Read Only:
true -
createdBy: string
Read Only:
true -
description: string
Read Only:
true -
displaySequence: string
(big-integer)
Read Only:
true -
enabledFlag: boolean
Read Only:
true -
endDateActive: string
(date)
Read Only:
true -
lookupCategoryId: string
(big-integer)
Read Only:
true -
lookupCode: string
Read Only:
true -
lookupType: string
Read Only:
true -
meaning: string
Read Only:
true -
startDateActive: string
(date)
Read Only:
true -
tag: string
Read Only:
true -
timeCreated: string
(date-time)
Read Only:
true -
timeUpdated: string
(date-time)
Read Only:
true -
updatedBy: string
Read Only:
true
Nested Schema : oraCommonAppsInfraObjects.LookupCode_item-fields-allOf[1]
Type:
Show Source
object-
$sourceLang: string
Title:
Source LanguageThe language in which the values of the translatable columns were created, updated, or copied from. -
createdBy: string
Title:
Created ByThe user who created the record. -
description: string
Title:
Lookup Code DescriptionThe translated description of the Lookup Code. -
displaySequence: string
Title:
Display SequenceThe display sequence of the Lookup Code. -
enabledFlag: boolean
Title:
Lookup Code EnabledThe enabled flag of the Lookup Code. -
endDateActive: string
Title:
End Date ActiveThe active end date of the Lookup Code. -
lookupCategoryId: string
Title:
Lookup CategoryThe lookup category of the Lookup Code. -
lookupCode: string
Title:
Lookup Code IDThe unique identifier of the Lookup Code. -
lookupType: string
Title:
Lookup Type IDThe unique identifier of the Lookup Type. -
meaning: string
Title:
Lookup Code MeaningThe translated meaning of the Lookup Code. -
startDateActive: string
Title:
Start Date ActiveThe active start date of the Lookup Code. -
tag: string
Title:
Lookup TagThe tag value of the Lookup Code. -
timeCreated: string
Title:
Created OnThe date and time when the record was created. -
timeUpdated: string
Title:
Last Updated DateThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByThe user who last updated the record.
Nested Schema : Lookup Code
Type:
objectTitle:
Lookup CodeThe lookup codes list of values resource is used to query the list of lookup codes.